//---------------------------------------------------------------------------
#ifndef checksH
  #define checksH
//---------------------------------------------------------------------------
int CheckConsist( class TBoolFnct * fn, TGauge gauge );
void DuplChk( TBoolFnct * fn, TGauge gauge );
void DominChk( TBoolFnct * fn, TBoolFnct * rfn, TGauge gauge );
void SelfDominChk( TBoolFnct * fn, TGauge gauge );
int NoIntersections( TBoolFnct * fn, TGauge gauge );
TBoolFnct * SplitToMinterms( TBoolFnct * fn, TGauge gauge );
//---------------------------------------------------------------------------
#endif
